import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Control, type ControlPosition } from 'leaflet';
export interface UseLeafletAttributionControlOptions extends Omit<Control.AttributionOptions, 'prefix' | 'position'> {
    attributions?: MaybeRefOrGetter<string[] | null | undefined>;
    prefix?: MaybeRefOrGetter<string | null | undefined>;
    position?: ControlPosition | string | undefined;
    factory?: (...args: any[]) => Control.Attribution;
    dispose?: boolean;
}
export type UseLeafletAttributionControlReturn = Ref<Control.Attribution | null>;
export declare function useLeafletAttributionControl(options?: UseLeafletAttributionControlOptions): UseLeafletAttributionControlReturn;
