import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { CircleMarker, type CircleMarkerOptions, type LatLngExpression, type PathOptions } from 'leaflet';
import { type UseLeafletPathOptions } from '../useLeafletPath';
export interface UseLeafletCircleMarkerOptions extends Omit<Omit<CircleMarkerOptions, 'radius'>, keyof PathOptions>, UseLeafletPathOptions<CircleMarker> {
    radius?: MaybeRefOrGetter<number | null | undefined>;
    defOptions?: CircleMarkerOptions;
    factory?: (...args: any[]) => CircleMarker;
}
export type UseLeafletCircleMarkerReturn = Ref<CircleMarker | null>;
export declare function useLeafletCircleMarker(latlng: MaybeRefOrGetter<LatLngExpression | null | undefined>, options?: UseLeafletCircleMarkerOptions): UseLeafletCircleMarkerReturn;
