import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Control, type ControlOptions, type ControlPosition, type Map } from 'leaflet';
export interface UseLeafletCustomControlOptions extends Omit<ControlOptions, 'position'> {
    position?: ControlPosition | string | undefined;
    disabled?: MaybeRefOrGetter<boolean>;
    factory?: (...args: any[]) => Control;
    dispose?: boolean;
    onAdd?: (map: Map, control: Control) => HTMLElement;
    onRemove?: (map: Map, control: Control) => void;
    onDisable?: (map: Map, control: Control) => void;
    onEnable?: (map: Map, control: Control) => void;
}
export type UseLeafletCustomControlReturn = Ref<Control | null>;
export declare function useLeafletCustomControl(options?: UseLeafletCustomControlOptions): UseLeafletCustomControlReturn;
