import { type WatchOptions } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
export interface UseLeafletDiffOptions<T> {
    enabled?: boolean;
    diffFn?: ArrayDiffFunction<T>;
    update?: (newVal: T[], oldVal: T[] | undefined) => void;
    add?: (arr: T[]) => void;
    remove?: (arr: T[]) => void;
    watchOptions?: WatchOptions;
}
export type UseLeafletDiffReturn = () => void;
export type ArrayDiffFunction<T = any> = (newArr: T[], oldArr: T[]) => {
    remove: T[];
    add: T[];
};
export declare function useLeafletDiff<T>(source: MaybeRefOrGetter<T[]>, compareFn: (value: T, othVal: T) => boolean, options?: UseLeafletDiffOptions<T>): UseLeafletDiffReturn;
