import { type Ref, type WatchSource } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { DivIcon, type DivIconOptions, type PointExpression } from 'leaflet';
export interface UseLeafletDivIconOptions extends Omit<DivIconOptions, 'html' | 'bgPos' | 'iconSize' | 'iconAnchor' | 'className'> {
    bgPos?: MaybeRefOrGetter<PointExpression | null | undefined>;
    iconSize?: MaybeRefOrGetter<PointExpression | null | undefined>;
    iconAnchor?: MaybeRefOrGetter<PointExpression | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    watch?: WatchSource<any>;
    factory?: (...args: any[]) => DivIcon;
}
export type UseLeafletDivIconReturn = Ref<DivIcon | null>;
export declare function useLeafletDivIcon(html?: MaybeRefOrGetter<string | HTMLElement | false | null | undefined>, options?: UseLeafletDivIconOptions): UseLeafletDivIconReturn;
