import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter, type MaybeRef } from '@vueuse/shared';
import { GeoJSON, type GeoJSONOptions, type PathOptions, type StyleFunction } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletGeoJsonOptions extends Omit<GeoJSONOptions, 'style'> {
    style?: MaybeRef<PathOptions | StyleFunction | null | undefined>;
    error?: Ref<Error | null | undefined>;
    watchDeep?: boolean;
    updateSources?: UpdateWatchSource<GeoJSON>[];
    factory?: (...args: any[]) => GeoJSON;
    dispose?: boolean;
}
export type UseLeafletGeoJsonReturn = Ref<GeoJSON | null>;
export declare function useLeafletGeoJson<T extends object>(geojson: MaybeRefOrGetter<T | null | undefined>, options?: UseLeafletGeoJsonOptions): UseLeafletGeoJsonReturn;
