import type { Ref } from 'vue-demi';
import { GridLayer, type Coords, type DoneCallback, type GridLayerOptions } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletGridLayerOptions<T extends GridLayer = GridLayer> extends GridLayerOptions {
    updateSources?: UpdateWatchSource<T>[];
    factory?: (...args: any[]) => T;
    dispose?: boolean;
}
export type UseLeafletGridLayerReturn<T extends GridLayer = GridLayer> = Ref<T | null>;
export declare function useLeafletGridLayer<T extends GridLayer = GridLayer>(createTile: (coords: Coords, done?: DoneCallback) => HTMLElement, options?: UseLeafletGridLayerOptions<T>): UseLeafletGridLayerReturn<T>;
