import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Icon, type IconOptions, type PointExpression } from 'leaflet';
export interface UseLeafletIconOptions extends Omit<IconOptions, 'iconUrl' | 'iconRetinaUrl' | 'iconSize' | 'iconAnchor' | 'shadowUrl' | 'shadowRetinaUrl' | 'shadowSize' | 'shadowAnchor' | 'className'> {
    iconRetinaUrl?: MaybeRefOrGetter<string | null | undefined>;
    iconSize?: MaybeRefOrGetter<PointExpression | null | undefined>;
    iconAnchor?: MaybeRefOrGetter<PointExpression | null | undefined>;
    shadowUrl?: MaybeRefOrGetter<string | null | undefined>;
    shadowRetinaUrl?: MaybeRefOrGetter<string | null | undefined>;
    shadowSize?: MaybeRefOrGetter<PointExpression | null | undefined>;
    shadowAnchor?: MaybeRefOrGetter<PointExpression | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    factory?: (...args: any[]) => Icon;
}
export type UseLeafletIconReturn = Ref<Icon | null>;
export declare function useLeafletIcon(iconUrl: MaybeRefOrGetter<string | null | undefined>, options?: UseLeafletIconOptions): UseLeafletIconReturn;
