import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { ImageOverlay, type ImageOverlayOptions, type LatLngBoundsExpression } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletImageOverlayOptions extends Omit<ImageOverlayOptions, 'opacity' | 'alt' | 'zIndex' | 'className'> {
    opacity?: MaybeRefOrGetter<number | null | undefined>;
    alt?: MaybeRefOrGetter<string | null | undefined>;
    zIndex?: MaybeRefOrGetter<number | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    defOptions?: ImageOverlayOptions;
    updateSources?: UpdateWatchSource<ImageOverlay>[];
    factory?: (...args: any[]) => ImageOverlay;
    dispose?: boolean;
}
export type UseLeafletImageOverlayReturn = Ref<ImageOverlay | null>;
export declare function useLeafletImageOverlay(imageUrl: MaybeRefOrGetter<string | null | undefined>, bounds: MaybeRefOrGetter<LatLngBoundsExpression | null | undefined>, options?: UseLeafletImageOverlayOptions): UseLeafletImageOverlayReturn;
