import { type Ref, type WatchSource, type WatchOptions } from 'vue-demi';
import type { Layer } from 'leaflet';
export interface UpdateWatchSource<T> {
    watch: WatchSource<any>;
    handler: (instance: T, newVal: any, oldVal: any) => void;
    options?: WatchOptions;
}
export interface UseLeafletLayerOptions<T> {
    watch?: WatchSource<any>;
    flushSync?: boolean;
    updateSources?: UpdateWatchSource<T>[];
    remove?: (instance: T) => void;
    dispose?: boolean;
}
export type UseLeafletLayerReturn<T> = Ref<T | null>;
export declare function useLeafletLayer<T extends Layer = Layer>(factory: () => T, options?: UseLeafletLayerOptions<T>): UseLeafletLayerReturn<T>;
