import { type Ref } from 'vue-demi';
import { type Arrayable, type MaybeRefOrGetter } from '@vueuse/shared';
import { Layer, LayerGroup, type LayerOptions } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
import { type ArrayDiffFunction } from '../useLeafletDiff';
export interface UseLeafletLayerGroupOptions extends LayerOptions {
    diff?: ArrayDiffFunction<Layer> | boolean;
    compareFn?: (value: Layer, othVal: Layer) => boolean;
    updateSources?: UpdateWatchSource<LayerGroup>[];
    factory?: (...args: any[]) => LayerGroup;
    dispose?: boolean;
}
export type UseLeafletLayerGroupReturn = Ref<LayerGroup | null>;
export declare function useLeafletLayerGroup(layers: MaybeRefOrGetter<Arrayable<MaybeRefOrGetter<Layer | null | undefined>> | null | undefined>, options?: UseLeafletLayerGroupOptions): UseLeafletLayerGroupReturn;
