import { type Ref } from 'vue-demi';
import { type MaybeRef, type MaybeRefOrGetter } from '@vueuse/shared';
import { Tooltip, type Content, type Direction, type Layer, type PointExpression, type TooltipOptions, type LatLngExpression } from 'leaflet';
import type { UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletLayerTooltipOptions extends Omit<TooltipOptions, 'offset' | 'direction' | 'opacity' | 'className'> {
    visible?: MaybeRef<boolean>;
    autoBind?: boolean;
    offset?: MaybeRefOrGetter<PointExpression | null | undefined>;
    direction?: MaybeRefOrGetter<Direction | null | undefined>;
    opacity?: MaybeRefOrGetter<number | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    defOptions?: TooltipOptions;
    updateSources?: UpdateWatchSource<Layer>[];
    dispose?: boolean;
}
export interface UseLeafletLayerTooltipReturn {
    visible: Ref<boolean>;
    tooltip: {
        value: Tooltip | null;
    };
    bind: () => void;
    unbind: () => void;
    open: (latlng?: LatLngExpression) => void;
    close: () => void;
    toggle: () => void;
    isOpened: () => boolean;
}
export declare function useLeafletLayerTooltip(source: MaybeRefOrGetter<Layer | null | undefined>, content?: MaybeRef<((layer: Layer) => Content) | Tooltip | Content | null | undefined>, options?: UseLeafletLayerTooltipOptions): UseLeafletLayerTooltipReturn;
