import { type MaybeRefOrGetter, type MaybeRef } from '@vueuse/shared';
import { type Ref } from 'vue-demi';
import { Control, type ControlPosition } from 'leaflet';
import type { LayersItemConfig } from './types';
export interface UseLeafletLayersControlOptions extends Omit<Control.LayersOptions, 'position'> {
    currentBaseLayer?: MaybeRef<string | number | null | undefined>;
    currentOverlays?: MaybeRef<string[] | number[] | null | undefined>;
    indexes?: boolean;
    position?: ControlPosition | string | undefined;
    factory?: (...args: any[]) => Control.Layers;
    dispose?: boolean;
}
export type UseLeafletLayersControlReturn = Ref<Control.Layers | null>;
export type { LayersItemConfig };
export declare function useLeafletLayersControl(layers: MaybeRefOrGetter<LayersItemConfig[] | null | undefined>, options?: UseLeafletLayersControlOptions): UseLeafletLayersControlReturn;
