import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Marker, Icon, type DivIcon, type LatLngExpression, type MarkerOptions } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletMarkerOptions extends Omit<MarkerOptions, 'icon' | 'opacity' | 'zIndexOffset' | 'draggable'> {
    icon?: MaybeRefOrGetter<Icon | DivIcon | null | undefined>;
    opacity?: MaybeRefOrGetter<number | null | undefined>;
    zIndexOffset?: MaybeRefOrGetter<number | null | undefined>;
    draggable?: MaybeRefOrGetter<boolean | null | undefined>;
    defOptions?: MarkerOptions;
    updateSources?: UpdateWatchSource<Marker>[];
    factory?: (...args: any[]) => Marker;
    dispose?: boolean;
}
export type UseLeafletMarkerReturn = Ref<Marker | null>;
export declare function useLeafletMarker(latlng: MaybeRefOrGetter<LatLngExpression | null | undefined>, options?: UseLeafletMarkerOptions): UseLeafletMarkerReturn;
