import type { Ref, WatchSource } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Path, type FillRule, type LineCapShape, type LineJoinShape, type PathOptions } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export type PathReactiveProperty = 'stroke' | 'color' | 'weight' | 'opacity' | 'lineCap' | 'lineJoin' | 'dashArray' | 'dashOffset' | 'fill' | 'fillColor' | 'fillOpacity' | 'fillRule' | 'className';
export interface UseLeafletPathOptions<T extends Path = Path> extends Omit<PathOptions, PathReactiveProperty> {
    stroke?: MaybeRefOrGetter<boolean | null | undefined>;
    color?: MaybeRefOrGetter<string | null | undefined>;
    weight?: MaybeRefOrGetter<number | null | undefined>;
    opacity?: MaybeRefOrGetter<number | null | undefined>;
    lineCap?: MaybeRefOrGetter<LineCapShape | null | undefined>;
    lineJoin?: MaybeRefOrGetter<LineJoinShape | null | undefined>;
    dashArray?: MaybeRefOrGetter<string | null | number[] | null | undefined>;
    dashOffset?: MaybeRefOrGetter<string | null | undefined>;
    fill?: MaybeRefOrGetter<boolean | null | undefined>;
    fillColor?: MaybeRefOrGetter<string | null | undefined>;
    fillOpacity?: MaybeRefOrGetter<number | null | undefined>;
    fillRule?: MaybeRefOrGetter<FillRule | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    defOptions?: PathOptions;
    updateSources?: UpdateWatchSource<T>[];
    watch?: WatchSource<any>;
    dispose?: boolean;
}
export type UseLeafletPathReturn<T extends Path = Path> = Ref<T | null>;
export declare function useLeafletPath<T extends Path = Path>(factory: (opt: PathOptions) => T, options?: UseLeafletPathOptions<T>): UseLeafletPathReturn<T>;
