import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Polyline, type LatLngExpression, type PathOptions, type PolylineOptions } from 'leaflet';
import { type UseLeafletPathOptions } from '../useLeafletPath';
export interface UseLeafletPolylineOptions extends Omit<Omit<PolylineOptions, 'smoothFactor' | 'noClip'>, keyof PathOptions>, UseLeafletPathOptions<Polyline> {
    smoothFactor?: MaybeRefOrGetter<number | null | undefined>;
    noClip?: MaybeRefOrGetter<boolean | null | undefined>;
    defOptions?: PolylineOptions;
    watchDeep?: boolean;
    updatePoints?: (instance: Polyline, val: any) => void;
    factory?: (...args: any[]) => Polyline;
}
export type UseLeafletPolylineReturn = Ref<Polyline | null>;
export declare function useLeafletPolyline(latlngs: MaybeRefOrGetter<LatLngExpression[] | LatLngExpression[][] | null | undefined>, options?: UseLeafletPolylineOptions): UseLeafletPolylineReturn;
