import { type Ref } from 'vue-demi';
import { type MaybeRef, type MaybeRefOrGetter } from '@vueuse/shared';
import { Popup, type LatLngExpression, type Layer, type PointExpression, type PopupOptions } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export type PopupReactiveProperty = 'offset' | 'maxWidth' | 'minWidth' | 'maxHeight' | 'className' | 'content' | 'keepInView' | 'autoPan' | 'autoPanPaddingTopLeft' | 'autoPanPaddingBottomRight' | 'autoPanPadding';
export interface UseLeafletPopupOptions extends Omit<PopupOptions, PopupReactiveProperty> {
    offset?: MaybeRefOrGetter<PointExpression | null | undefined>;
    maxWidth?: MaybeRefOrGetter<number | null | undefined>;
    minWidth?: MaybeRefOrGetter<number | null | undefined>;
    maxHeight?: MaybeRefOrGetter<number | null | undefined>;
    keepInView?: MaybeRefOrGetter<boolean | null | undefined>;
    autoPan?: MaybeRefOrGetter<boolean | null | undefined>;
    autoPanPaddingTopLeft?: MaybeRefOrGetter<PointExpression | null | undefined>;
    autoPanPaddingBottomRight?: MaybeRefOrGetter<PointExpression | null | undefined>;
    autoPanPadding?: MaybeRefOrGetter<PointExpression | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    content?: MaybeRef<string | HTMLElement | ((layer: Layer) => string) | ((layer: Layer) => HTMLElement) | null | undefined>;
    source?: MaybeRefOrGetter<Layer | null | undefined>;
    defOptions?: PopupOptions;
    updateSources?: UpdateWatchSource<Popup>[];
    factory?: (...args: any[]) => Popup;
    dispose?: boolean;
}
export type UseLeafletPopupReturn = Ref<Popup | null>;
export declare function useLeafletPopup(latlng?: MaybeRefOrGetter<LatLngExpression | null | undefined>, options?: UseLeafletPopupOptions): UseLeafletPopupReturn;
