import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { SVGOverlay, type ImageOverlayOptions, type LatLngBoundsExpression } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletSvgOverlayOptions extends Omit<ImageOverlayOptions, 'opacity' | 'zIndex' | 'className'> {
    opacity?: MaybeRefOrGetter<number | null | undefined>;
    zIndex?: MaybeRefOrGetter<number | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    defOptions?: ImageOverlayOptions;
    updateSources?: UpdateWatchSource<SVGOverlay>[];
    factory?: (...args: any[]) => SVGOverlay;
    dispose?: boolean;
}
export type UseLeafletSvgOverlayReturn = Ref<SVGOverlay | null>;
export declare function useLeafletSvgOverlay(svgElement: MaybeRefOrGetter<SVGElement | null | undefined>, bounds: MaybeRefOrGetter<LatLngBoundsExpression | null | undefined>, options?: UseLeafletSvgOverlayOptions): UseLeafletSvgOverlayReturn;
