import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { TileLayer, type TileLayerOptions } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletTileLayerOptions extends TileLayerOptions {
    updateSources?: UpdateWatchSource<TileLayer>[];
    factory?: (...args: any[]) => TileLayer;
    dispose?: boolean;
}
export type UseLeafletTileLayerReturn = Ref<TileLayer | null>;
export declare function useLeafletTileLayer(url: MaybeRefOrGetter<string | null | undefined>, options?: UseLeafletTileLayerOptions): UseLeafletTileLayerReturn;
