import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter, type MaybeRef } from '@vueuse/shared';
import { Tooltip, type Direction, type LatLngExpression, type Layer, type PointExpression, type TooltipOptions } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletTooltipOptions extends Omit<TooltipOptions, 'offset' | 'direction' | 'opacity' | 'className' | 'content'> {
    offset?: MaybeRefOrGetter<PointExpression | null | undefined>;
    direction?: MaybeRefOrGetter<Direction | null | undefined>;
    opacity?: MaybeRefOrGetter<number | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    content?: MaybeRef<string | HTMLElement | ((layer: Layer) => string) | ((layer: Layer) => HTMLElement) | null | undefined>;
    source?: MaybeRefOrGetter<Layer | null | undefined>;
    defOptions?: TooltipOptions;
    updateSources?: UpdateWatchSource<Tooltip>[];
    factory?: (...args: any[]) => Tooltip;
    dispose?: boolean;
}
export type UseLeafletTooltipReturn = Ref<Tooltip | null>;
export declare function useLeafletTooltip(latlng?: MaybeRefOrGetter<LatLngExpression | null | undefined>, options?: UseLeafletTooltipOptions): UseLeafletTooltipReturn;
