import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { type LatLngBoundsExpression, type VideoOverlayOptions, VideoOverlay } from 'leaflet';
import { type UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletVideoOverlayOptions extends Omit<VideoOverlayOptions, 'autoplay' | 'loop' | 'keepAspectRatio' | 'muted' | 'playsInline' | 'opacity' | 'zIndex' | 'className'> {
    autoplay?: MaybeRefOrGetter<boolean | null | undefined>;
    loop?: MaybeRefOrGetter<boolean | null | undefined>;
    keepAspectRatio?: MaybeRefOrGetter<boolean | null | undefined>;
    muted?: MaybeRefOrGetter<boolean | null | undefined>;
    playsInline?: MaybeRefOrGetter<boolean | null | undefined>;
    opacity?: MaybeRefOrGetter<number | null | undefined>;
    zIndex?: MaybeRefOrGetter<number | null | undefined>;
    className?: MaybeRefOrGetter<string | null | undefined>;
    defOptions?: VideoOverlayOptions;
    updateSources?: UpdateWatchSource<VideoOverlay>[];
    factory?: (...args: any[]) => VideoOverlay;
    dispose?: boolean;
}
export type UseLeafletVideoOverlayReturn = Ref<VideoOverlay | null>;
export declare function useLeafletVideoOverlay(video: MaybeRefOrGetter<string | string[] | HTMLVideoElement | null | undefined>, bounds: MaybeRefOrGetter<LatLngBoundsExpression | null | undefined>, options?: UseLeafletVideoOverlayOptions): UseLeafletVideoOverlayReturn;
