import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { TileLayer, type WMSOptions, type WMSParams } from 'leaflet';
import type { UpdateWatchSource } from '../useLeafletLayer';
export interface UseLeafletWmsTileLayerOptions extends WMSOptions {
    updateSources?: UpdateWatchSource<TileLayer.WMS>[];
    factory?: (...args: any[]) => TileLayer.WMS;
    defParams?: WMSParams;
    dispose?: boolean;
}
export type UseLeafletWmsTileLayerReturn = Ref<TileLayer.WMS | null>;
export declare function useLeafletWmsTileLayer(url: MaybeRefOrGetter<string | null | undefined>, params?: MaybeRefOrGetter<WMSParams | null | undefined>, options?: UseLeafletWmsTileLayerOptions): UseLeafletWmsTileLayerReturn;
