import { type MaybeRefOrGetter } from '@vueuse/shared';
import { type Ref } from 'vue-demi';
import { Control, type ControlPosition } from 'leaflet';
export interface UseLeafletZoomControlOptions extends Omit<Control.ZoomOptions, 'position'> {
    position?: ControlPosition | string | undefined;
    disabled?: MaybeRefOrGetter<boolean>;
    factory?: (...args: any[]) => Control.Zoom;
    dispose?: boolean;
}
export type UseLeafletZoomControlReturn = Ref<Control.Zoom | null>;
export declare function useLeafletZoomControl(options?: UseLeafletZoomControlOptions): UseLeafletZoomControlReturn;
